Subject: Re: [Diffserv] Modeling of Policing component.

From: Brian E Carpenter <[email-masked]>
Date: Mon, 01 Jul 2002 15:13:25 +0200

ravikumarb wrote:
> 
> Hi,
> 
> I have a question on the difference between "policing" and "shaping".
> 
> According to my understanding following is the difference between them:
> 
> [1] Policing: Process of checking whether a packet is in-profile or out-of-profile. If it is out-of-profile, it will be dropped.
> [2] Shaping: Process of conditioning the traffic stream so that it stays in-profile.
> 
> But acording to RFC 3290 in section 3.3, it says that policing can be modeled as a concatenation of an Algorithmic Dropper with a Scheduler. But I guess this should be the model for shaping rather than for policing.
> 
> Am I missing something here?

Please read the text more carefully:

   ...Policing is
   modeled as either a concatenation of a Meter with an Absolute Dropper
   or as a concatenation of an Algorithmic Dropper with a Scheduler.

and (in 7.1.3)

   An Algorithmic Dropper is an element which selectively discards
   packets that arrive at its input, based on a discarding algorithm.

I don't really see a problem here. The scheduler is not part of the policer,
so maybe it should have been mentioned in brackets, but in real life
it will always be there. This is an *informal* model.

   Brian

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html